Bug 763238 (GLUSTER-1506)

Summary: crash in log locate..
Product: [Community] GlusterFS Reporter: Amar Tumballi <amarts>
Component: glusterdAssignee: Amar Tumballi <amarts>
Severity: high Docs Contact:
Priority: low    
Version: mainlineCC: gluster-bugs, lakshmipathi, vraman
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Amar Tumballi 2010-09-01 23:51:08 EDT
(gdb) bt
#0  __strlen_sse2 () at ../sysdeps/x86_64/multiarch/../strlen.S:31
#1  0x00007f869edd1e6e in gf_strdup (src=0x0) at ../../../../../libglusterfs/src/mem-pool.h:85
#2  0x00007f869ede1a41 in glusterd_handle_log_locate (req=0x7f86a14e3038)
    at ../../../../../xlators/mgmt/glusterd/src/glusterd-handler.c:1674
#3  0x00007f86a0efb5d3 in rpcsvc_handle_rpc_call (svc=0x1605c58, trans=0x1608e58, msg=0x1607f68)
    at ../../../../rpc/rpc-lib/src/rpcsvc.c:990
#4  0x00007f86a0efb979 in rpcsvc_notify (trans=0x1608e58, mydata=0x1605c58, event=RPC_TRANSPORT_MSG_RECEIVED, 
    data=0x1607f68) at ../../../../rpc/rpc-lib/src/rpcsvc.c:1085
#5  0x00007f86a0f019c4 in rpc_transport_notify (this=0x1608e58, event=RPC_TRANSPORT_MSG_RECEIVED, data=0x1607f68)
    at ../../../../rpc/rpc-lib/src/rpc-transport.c:1124
#6  0x00007f869ebba9b9 in socket_event_poll_in (this=0x1608e58) at ../../../../../rpc/rpc-transport/socket/src/socket.c:1561
#7  0x00007f869ebbad6c in socket_event_handler (fd=5, idx=1, data=0x1608e58, poll_in=1, poll_out=0, poll_err=0)
    at ../../../../../rpc/rpc-transport/socket/src/socket.c:1675
#8  0x00007f86a114e74f in event_dispatch_epoll_handler (event_pool=0x15feb18, events=0x1608228, i=0)
    at ../../../libglusterfs/src/event.c:812
#9  0x00007f86a114e95f in event_dispatch_epoll (event_pool=0x15feb18) at ../../../libglusterfs/src/event.c:876
#10 0x00007f86a114ecc7 in event_dispatch (event_pool=0x15feb18) at ../../../libglusterfs/src/event.c:984
#11 0x00000000004064ff in main (argc=1, argv=0x7fff19460248) at ../../../glusterfsd/src/glusterfsd.c:1398
Comment 1 Amar Tumballi 2010-09-02 02:46:04 EDT
how to reproduce:

* create a volume
* gluster volume log locate <volname>

glusterd crashes..

This happened because the testing was done with log locate, only after either volume was started, or after 'log filename' was done.
Comment 2 Vijay Bellur 2010-09-02 03:12:31 EDT
PATCH: http://patches.gluster.com/patch/4466 in master (crash fixed in 'gluster volume log locate')
Comment 3 Lakshmipathi G 2010-09-06 22:50:50 EDT
verified with 3.1.0qa16.

# gluster volume log locate dht4
log file location: /etc/glusterd/logs/